Skip to content
The API may change between versions while TTX-Zone is 0.x.

Retest candidates

GET
/api/v1/ttx/{ttx_id}/aar/retest-candidates

The later exercises of the organization that can re-test this report’s actions: code, name and objectives only.

Successful Response

Media typeapplication/json
Response Retest Candidates Endpoint Api V1 Ttx Ttx Id Aar Retest Candidates Get
Array<object>
RetestCandidate

A later exercise of the organization that can re-test an action: its code, name and objectives – nothing else of it.

object
archived
required
Archived
boolean
objectives
required
Objectives
Array<object>
RetestObjectiveOption
object
code
required
Code
string
id
required
Id
string format: uuid
title
required
Title
string
ttx_code
required
Ttx Code
string
ttx_id
required
Ttx Id
string format: uuid
ttx_name
required
Ttx Name
string

Example generated

[
{
"archived": true,
"objectives": [
{
"code": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"title": "example"
}
],
"ttx_code": "example",
"ttx_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"ttx_name": "example"
}
]